/* $Id: wd90c3x.h,v 1.2 1998/11/19 02:23:09 marcus Exp $
******************************************************************************
	Paradise wd90c3x register definitions
******************************************************************************

   Copyright (C) 1997 by Brian S. Julin, <bri@calyx.com>

   Permission is hereby granted, free of charge, to any person obtaining a
   copy of this software and associated documentation files (the "Software"),
   to deal in the Software without restriction, including without limitation
   the rights to use, copy, modify, merge, publish, distribute, sublicense,
   and/or sell copies of the Software, and to permit persons to whom the
   Software is furnished to do so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included in
   all copies or substantial portions of the Software.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
******************************************************************************
*/

/* MAINTAINER	Brian S. Julin, <bri@calyx.com> */

#ifndef _wd90c3x_h
#define _wd90c3x_h

#include "wd90c1x.h"  
/* wd90c2x has many differences so not included */
#include "wd_accel.h"  /* wd90c2x and wd90c3x share same accel engine. */


/* New Registers */

#define WD_LOCALBUS   0x2DF0
#define WD_BUS_TIMING 0x2DF1
#define WD_HIBUS_CFG  0x2DF2

/* GRC -- Additional Registers */


/* CRT -- Additional Registers */

       #define CRT_OVERFLOW2 0x3D
               #define CR3D_VTOTAL_B10        0x01
               #define CR3D_VDISPLAYEND_B10   0x02
               #define CR3D_VSYNCSTART_B10    0x04
               #define CR3D_VBLANKSTART_B10   0x08
               #define CR3D_LINECOMPARE_B10   0x10

       #define CRT_OVERFLOW3 0x3E
               #define CR3E_HTOTAL_B8         0x20
               #define CR3E_STARTADDR_B18     0x40
               #define CR3E_2MB_RAM           0x80

#endif /* defined _wd90c3x_h */










